"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const js_yaml_1 = __importDefault(require("js-yaml"));
exports.isYaml = (filename) => ['yaml', 'yml'].includes(String(filename.split('.').pop()));
exports.parseYamlConfig = (content) => {
    try {
        const config = js_yaml_1.default.safeLoad(content);
        if (!config || !Object.keys(config).length) {
            return {};
        }
        return config;
    }
    catch (error) {
        console.error(error);
        return {};
    }
};
exports.parseJsonConfig = (content) => {
    try {
        return JSON.parse(content);
    }
    catch (error) {
        console.error(error);
        return {};
    }
};
exports.parseConfig = (content, filename) => undefined === filename || exports.isYaml(filename) ?
    exports.parseYamlConfig(Buffer.from(content, 'base64').toString()) :
    exports.parseJsonConfig(Buffer.from(content, 'base64').toString());
