"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const misc_1 = require("./misc");
const constant_1 = require("./constant");
exports.getConfig = (fileName, octokit, context, options = {}) => __awaiter(void 0, void 0, void 0, function* () {
    const { configPath = '.github', ref } = options;
    try {
        const params = {
            owner: context.repo.owner,
            repo: context.repo.repo,
            path: path_1.join(configPath, fileName),
        };
        if (ref) {
            params.ref = ref;
        }
        return misc_1.parseConfig((yield octokit.repos.getContents(params)).data['content']);
    }
    catch (error) {
        if (error.status && constant_1.NOT_FOUND_STATUS === error.status) {
            return false;
        }
        throw error;
    }
});
